package yb

import (
	"github.com/rdlucklib/rdluck_tools/paging"
	"time"
)

type CommunityQuestionListResp struct {
	Paging *paging.PagingItem
	List   []*CommunityQuestionItem `description:"列表数据"`
	//Count  *CommunityQuestionCount
}

type CommunityQuestionItem struct {
	CommunityQuestionId     int    `description:"问题ID"`
	UserId                  int    `description:"提问用户ID"`
	Mobile                  string `description:"用户手机号"`
	RealName                string `description:"用户名"`
	QuestionContent         string `description:"问题描述"`
	ReplierUserId           int    `description:"回复人的user_id"`
	ReplierAdminId          int    `description:"回复人关联的admin_id"`
	ReplierRealName         string `description:"回复人姓名"`
	ReplierAvatar           string `description:"回复人头像"`
	ResearchGroupFirstId    int    `description:"回复人研究方向一级分组ID"`
	ResearchGroupSecondId   int    `description:"回复人研究方向二级分组ID"`
	ResearchGroupFirstName  string `description:"研究方向一级分组名称"`
	ResearchGroupSecondName string `description:"研究方向二级分组名称"`
	ChartPermissionId       int    `description:"关联权限ID"`
	ChartPermissionName     string `description:"关联权限name"`
	ReplyStatus             int    `description:"状态 1-待分配 2-待回答 3-已回答"`
	MsgSendStatus           int    `description:"消息推送进度 0-待推送 1-已推送回答人 2-已推送提问人"`
	ReplyTime               string `description:"回复时间"`
	CreateTime              string `description:"提问时间"`
	NeedRedistribute        bool   `description:"是否需要重新分配"`
	ClickNum                int    `description:"点击量"`
}

type CommunityQuestionCount struct {
	Free    int `json:"free"`
	Wait    int `json:"wait"`
	Replied int `json:"replied"`
	Total   int `json:"total"`
}

type QuestionClickLogListItem struct {
	UserId         int
	SourceAgent    int
	LastCreateTime string
	ClickNum       int `description:"点击量"`
	RealName       string
	CompanyName    string
	CompanyStatus  string
	CompanyId      int
}

type QuestionCompanyUser struct {
	CommunityQuestionId int    `description:"问题ID"`
	QuestionContent     string `description:"问题描述"`
	UserId              int
	RealName            string
	CompanyName         string
	CompanyStatus       string
	CompanyId           int
}

type QuestionClickLogListResp struct {
	Paging          *paging.PagingItem
	List            []*QuestionClickLogListItem `description:"列表数据"`
	Count           int
	QuestionContent string `description:"问题描述"`
}

// CommunityQuestionCommentListResp 研报评论列表数据返回
type CommunityQuestionCommentListResp struct {
	Paging *paging.PagingItem
	List   []*CommunityQuestionCommentItem `description:"列表数据"`
	//Count  *CommunityQuestionCount
}

// CommunityQuestionCommentItem 研报评论列表数据
type CommunityQuestionCommentItem struct {
	CommunityQuestionCommentId uint64    `orm:"column(community_question_comment_id);pk;" description:"留言ID"`
	CommunityQuestionId        int       `orm:"column(community_question_id)" description:"社区问答id"`
	UserId                     uint64    `orm:"column(user_id)" description:"用户id"`
	Content                    string    `orm:"column(content)" description:"留言内容"`
	IsTop                      int8      `orm:"column(is_top)" description:"是否置顶（0-未置顶，1-置顶）"`
	IsHot                      int8      `orm:"column(is_hot)" description:"是否设置精选（0-未设置，1-已设置）"`
	HotTopTime                 time.Time `orm:"column(hot_top_time)" description:"设置精选或者设置置顶的时间"`
	IsShowName                 int8      `orm:"column(is_show_name)" description:"是否匿名 0-匿名，1-不匿名"`
	SourceAgent                int       `orm:"column(source_agent)" description:"留言入口来源，1：小程序，2：小程序pc, 4：web pc"`
	TopTime                    time.Time `orm:"column(top_time)" description:"设置置顶的时间"`
	HotTime                    time.Time `orm:"column(hot_time)" description:"设置精选的时间"`
	ModifyTime                 time.Time `orm:"column(modify_time)" description:"修改时间"`
	CreateTime                 time.Time `orm:"column(create_time)" description:"创建时间"`
	QuestionContent            string    `description:"问题内容"`
	CompanyId                  int       `description:"客户id"`
	UserName                   string    `description:"评论人名称"`
	CompanyName                string    `description:"客户名称"`
	CompanyProductStatus       string    `description:"客户ficc状态"`
}
