package company_product_update_log

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// CompanyProductUpdateLog 客户产品变更日志表
type CompanyProductUpdateLog struct {
	Id         int       `orm:"column(id);pk"`
	CompanyId  int       `description:"客户id"`
	ProductId  int       `description:"产品id"`
	Status     string    `description:"变更后的状态"`
	SellerId   int       `description:"销售id"`
	SellerName string    `description:"销售名称"`
	Source     string    `description:"来源"`
	IsFormal   int       `description:"是否已经转正式，0是没有转正式，1是已经转过正式"`
	CreateTime time.Time `description:"创建时间"`
}

// AddCompanyProductUpdateLog 新增客户产品变更日志
func AddCompanyProductUpdateLog(item *CompanyProductUpdateLog) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}
